Results 1 to 8 of 8

Thread: Perl 5.8.8 Blues = No Zimbra Upgrade ?

  1. #1
    Join Date
    Feb 2008
    Location
    Miami, FL
    Posts
    14
    Rep Power
    7

    Unhappy Perl 5.8.8 Blues = No Zimbra Upgrade ?

    Ran recommended updates to the OS.

    Went to upgrade Zimbra

    Zimbra 5.0.2 specifically wants Perl 5.8.7 on the host OS.
    How was I to know?

    Am currently running 5.0 and would like to move forward.

    Research seems to show that there is NO PRACTICAL WAY of downgrading Perl.

    Before I give up on Zimbra - Which I like MUCH more than Scalix
    Does anyone have any ideas.

    I promise - if I get this fixed - I'll NEVER run/apply any future updates to any OS.

    Sorry to sound frustrated - but I am

  2. #2
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

  3. #3
    Join Date
    Feb 2008
    Location
    Miami, FL
    Posts
    14
    Rep Power
    7

    Default

    Mike,

    I appreciate your repsonse.

    However with Ubuntu 7.10 - I do not have the luxury of YUM or RPM.

    I am stuck with apt-get and Synaptic Package Mangler
    which BOTH do NOT allow me to ignore dependencies upon uninstalling something.

    *** I wish I could understand why the Zimbra package installation is so picky about the version of PERL. ***

    The second posting also has me totally lost - Scalar::Util
    Where does one get this?

    Sorry to sound so negative - but I have to ask why?

  4. #4
    Join Date
    Feb 2008
    Location
    Miami, FL
    Posts
    14
    Rep Power
    7

    Default

    Also - before everybody beats me up about using
    Ubuntu v7.1:

    here is an observation

    I looked through the list of (Zimbra) support distros
    and noticed that they seem obsolete...

    For example:
    SLES 10
    it is now SLES 10 SP1 - if you go to obtain it

    How do I know if I am not going to run into the same problem with
    SLES 10 SP1

    How does one find the original SLES 10 ?

  5. #5
    Join Date
    May 2007
    Location
    Zimbra
    Posts
    1,285
    Rep Power
    10

    Default

    You'll note the packages for Ubuntu are for their LTS == Long Term Support release. Which would be 6.01, not 7.anything. The warning about perl is exactly that -- A warning. You are perfectly free to try and install it and see if it works. If you do hit problems with the perl modules, you can probably work around it if you try hard enough. However, by choosing to run on an unsupported platform, you are taking certain risks. SLES10 vs SLES10 SP1 is not the same as Ubuntu6.01 vs Ubuntu7.x. SP1 is an update, Ubuntu7 is an entirely different release.

    --Quanah
    Quanah Gibson-Mount
    Server Architect
    Zimbra, Inc
    --------------------
    Zimbra :: the leader in open source messaging and collaboration

  6. #6
    Join Date
    Feb 2008
    Location
    Miami, FL
    Posts
    14
    Rep Power
    7

    Default

    No problem.

    I will reload the machine with
    Ubuntu 6.01.1 LTS x86
    and will NOT allow it to update itself.

    Sad part is, that the machine has a amd64 CPU...

    I will post an update, once I have reached success with v5.0.2

  7. #7
    Join Date
    Feb 2008
    Location
    Miami, FL
    Posts
    14
    Rep Power
    7

    Smile

    Hello all...

    Well I bit the bullet and loaded the 32bit version of Ubuntu 6.01.1 LTS
    and the Zimbra install completed successfully.

    For the record - will there be any 64bit "Open" distributions supported?

    RHEL & SLES 64bit editions are not practical $$$ for an Open Source Non-Profit/Personal implementation...

  8. #8
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    You can use CentOS 64 bit for the Open Source version of Zimbra, and check this bug entry.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

Similar Threads

  1. zmperditionctl start asking for password
    By k7sle in forum Administrators
    Replies: 32
    Last Post: 02-20-2008, 11:13 AM
  2. [SOLVED] Clamav problem ? What's happening ?
    By aNt1X in forum Installation
    Replies: 23
    Last Post: 02-14-2008, 05:43 AM
  3. Zimbra shutdowns every n hours.
    By Andrewb in forum Administrators
    Replies: 13
    Last Post: 08-14-2007, 09:55 AM
  4. port 7071 not listening OS X install
    By leeimber in forum Installation
    Replies: 7
    Last Post: 03-21-2006, 10:47 AM
  5. FC3 Install and no zimbra ?
    By aws in forum Installation
    Replies: 10
    Last Post: 10-09-2005, 05:19 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •